# Greenpress Admin Panel

Admin panel service for the greenpress open-source platform.<br>
Written in Vue.js.

## Usage
### As a Docker container
```
$ docker run -p 3001:3001 greenpress/admin-panel
``` 
### As Node package
```
$ npm i @greenpress/admin
$ npx greenpress-admin
``` 

## Development and Independent Usage
In case you would like to run this project manually, for any reason, there are several commands you need to acknowledge: 

### Project setup
```
npm install
```

#### Compiles and hot-reloads for development
```
npm run serve
```

#### Compiles and minifies for production
```
npm run build
```

#### Lints and fixes files
```
npm run lint
```

### Vue.js Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).
